import { Handler } from './handler/Handler';
import { Container } from './container/interfaces/IContainer';
export declare enum BrokerType {
    RABBITMQ = "RABBITMQ"
}
export declare class Mercury {
    static handlerRegistry: Map<string, Handler>;
    private messageBus;
    private appName;
    private serviceName;
    private brokerHostName;
    private brokerUserName;
    private brokerPassword;
    private retryDelayTime;
    private filterMessages;
    private preFetch;
    private container;
    constructor(brokerType: string, brokerHostName: string, brokerUserName: string, brokerPassword: string, appName: string, serviceName: string, retryDelayTime?: number, filterMessages?: boolean, preFetch?: number);
    setMessageBus(brokerType?: BrokerType): void;
    init(): Promise<boolean>;
    useHandler(handler: Handler): void;
    setContainer(container: Container): void;
    terminate(): Promise<boolean>;
}
