import { Connection, ConsumeMessage } from 'amqplib';
import { Message } from '..';
import { Container } from '../container/interfaces/IContainer';
export declare class RabbitMQConnectionFacade {
    private connection;
    private channel;
    private readonly exchange;
    private readonly deadLetterExchange;
    private readonly queue;
    private readonly retryQueue;
    private readonly appName;
    private readonly delayRetry;
    private messagePool;
    private filterTrafic;
    private preFetch;
    private container;
    constructor(serviceName: string, appName: string, delayRetry: number, filterTrafic: boolean, preFetch: number, container: Container);
    subscribeAll(messageBindings: Map<string, string>): Promise<boolean>;
    disconnect(): Promise<boolean>;
    connect(hostname: string, username: string, password: string): Promise<Connection>;
    publish(message: Message, alternativeExchange?: string): boolean;
    subscribe(descriptor: string): Promise<string>;
    dispatchMessage(descriptor: string, msg: ConsumeMessage): Promise<void>;
    private setUp;
}
