"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BDictionary {
    constructor() {
        this.dictionary = new Map();
    }
    add(identifier, binding) {
        if (this.dictionary.has(identifier))
            throw Error(`already exists bind for identifier: ${identifier}`);
        this.dictionary.set(identifier, binding);
    }
    get(identifier) {
        return this.dictionary.get(identifier);
    }
    remove(identifier) {
        return this.dictionary.delete(identifier);
    }
}
exports.BDictionary = BDictionary;
//# sourceMappingURL=BindingDictionary.js.map