"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BindingContext_1 = require("./Binding/BindingContext");
const Binding_1 = require("./Binding/Binding");
const BindingDictionary_1 = require("./Binding/BindingDictionary");
const handler_instance_1 = require("./handler.instance");
class ContainerMercury {
    constructor() {
        this.bindingDictionary = new BindingDictionary_1.BDictionary();
    }
    bind(identifier) {
        const binding = new Binding_1.BindingCustom();
        this.bindingDictionary.add(identifier, binding);
        return new BindingContext_1.MercuryBinding(binding);
    }
    get(identifier) {
        const binding = this.bindingDictionary.get(identifier);
        if (!binding)
            throw Error(`${identifier} not found binding.`);
        return handler_instance_1.handlerInstance.resolve(binding.implementationMain);
    }
    unbind(identifier) {
        this.bindingDictionary.remove(identifier);
    }
}
exports.ContainerMercury = ContainerMercury;
//# sourceMappingURL=Container.js.map